Description

When | edit the metadata of a geopackage layer (right-click on the layer in the Layer panel - Properties / metadata), they are not saved in

the Geopackage.

So if | right-click on the layer in the browser and choose "Properties", the metadata window that opens doesn't contain anything

History

#1 - 2017-09-29 02:42 PM - Giovanni Manghi

that panel saves metadata in the project, not the datasource.

#2 - 2017-10-01 01:55 PM - Etienne Trimaille

The metadata panel is still a work in progress.

There is still a lot to do about saving metadata. It's work package 3: metadata storage in the QEP:

https://github.com/qgis/QGIS-Enhancement-Proposals/issues/91

#3 - 2019-03-09 04:28 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

#4 - 2019-03-20 11:26 AM - Gerben Schmidt

Hi,

Just installed QGIS 3.6

The issue is still valid: metadata cannot be written to a layer in a geopackage

#5 - 2019-03-20 01:39 PM - Giovanni Manghi

aren't such metadata written at a project level (and not really in the datasource)?
https://github.com/qgis/QGIS-Enhancement-Proposals/issues/91

#6 - 2019-03-20 01:43 PM - Alessandro Pasotti

Yes: they are stored in the project XML, unless of course you store the project inside a geopackage, in that case the project XML itself is stored inside the
geopckage.

#7 - 2019-03-20 01:59 PM - Giovanni Manghi

Alessandro Pasotti wrote:

Yes: they are stored in the project XML, unless of course you store the project inside a geopackage, in that case the project XML itself is stored
inside the geopckage.

so | guess this ticket is possibly invalid(?).
